Name:                nodejs-assert-plus
Version:             1.0.0
Release:             1
Summary:             Extra assertions on top of node's assert module
License:             MIT
URL:                 https://github.com/mcavage/node-assert-plus
Source0:             https://github.com/mcavage/node-assert-plus/archive/v%{version}.tar.gz#/nodejs-assert-plus-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging npm(tape)
%description
This library is a super small wrapper over node's assert module that has two
things: (1) the ability to disable assertions with the environment variable
NODE_NDEBUG, and (2) some API wrappers for argument testing.

%prep
%setup -q -n node-assert-plus-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/assert-plus
cp -pr package.json assert.js %{buildroot}%{nodejs_sitelib}/assert-plus
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
tape tests/*.js

%files
%{nodejs_sitelib}/assert-plus
%doc README.md

%changelog
* Mon Aug 17 2020 Shaoqiang Kang <kangshaoqiang1@huawei.com> - 1.0.0-1
- Package init
